<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUmrahTripTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('umrah_trips', function (Blueprint $table) {
            $table->id();
//            $table->enum('umrah_trip_type', ['u', 'ut', 'uta'])->comment('[u=>umrah, ua=>umrah+transfer, uta=>umrah+transfer+accommodation]');
            $table->string('rate', 2)->nullable();
            $table->enum('house_type', ['private', 'group'])->nullable();
            $table->double('price_per_person')->nullable();
            $table->json('umrah_trip_date');
            $table->unsignedBigInteger('departure_city')->nullable();
            $table->unsignedBigInteger('arrival_city')->nullable();
            $table->json('rally_point_info')->nullable();
            $table->string('image', 200);
            $table->boolean('status')->default(1);
            $table->timestamps();
            $table->softDeletes();

            $table->engine = 'InnoDB';

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('umrah_trips');
    }
}
